Bug 1989842 - Console Observe > Metrics / Dashboards: Missing series appear in tooltip with value "0"
Summary: Console Observe > Metrics / Dashboards: Missing series appear in tooltip with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Andrew Pickering
QA Contact: hongyan li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-04 07:40 UTC by Andrew Pickering
Modified: 2021-10-18 17:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:44:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9720 0 None None None 2021-08-04 07:41:55 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:44:43 UTC

Description Andrew Pickering 2021-08-04 07:40:13 UTC
For line graphs (not stack graphs), data series without a value for a given timestamp (there is a gap in the data) still appear in the tooltip when hovering over that timestamp. Additionally, the value is shown as "0" rather than indicating that there is no value for that timestamp.

Comment 4 hongyan li 2021-08-09 07:56:35 UTC
Test with payload 4.9.0-0.nightly-2021-08-07-175228

From the screenshot in #c3 we can know that 
data series without a value for a given timestamp didn't appear in the tooltip when hovering over that timestamp. Additionally, the value is shown as "None" to indicate that there is no value for that timestamp.

Comment 11 errata-xmlrpc 2021-10-18 17:44:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.